# Filename: tri_neighbors.py
# Purpose: Get facet indices of neighbouring of triangles.
# Returns: List of integers.

from maptek import vulcan

tri = 'cube.00t' # input tri

with vulcan.triangulation(tri) as tri: # open tri as read
    neighbouring_facets = tri.neighbors(1) # pass index of facet of interest

    # do something...
    print(neighbouring_facets)